import 'package:flutter/material.dart';
import 'package:bui_component/ButtonsComponent/buttonComponent.dart';
import 'package:example/Constants/AppColors.dart';

class ButtonView extends StatefulWidget {
  @override
  _ButtonViewState createState() => _ButtonViewState();
}

class _ButtonViewState extends State<ButtonView> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Button Demo"),
      ),
      body: ListView(
        children: [
          Padding(
            padding: const EdgeInsets.all(8.0),
            child: Button(
              onPressed: () {},
              buttonType: ButtonType.facebook,
            ),
          ),
          Padding(
            padding: const EdgeInsets.all(8.0),
            child: Button(
              onPressed: () {},
              buttonType: ButtonType.google,
            ),
          ),
          Padding(
            padding: const EdgeInsets.all(8.0),
            child: Button.mini(
              onPressed: () {},
              buttonSize: ButtonSize.medium,
              buttonType: ButtonType.facebook,
            ),
          ),
          Padding(
            padding: const EdgeInsets.all(8.0),
            child: Button.mini(
              onPressed: () {},
              buttonSize: ButtonSize.medium,
              buttonType: ButtonType.google,
            ),
          ),
          Padding(
            padding: const EdgeInsets.all(8.0),
            child: Button.mini(
              onPressed: () {},
              buttonSize: ButtonSize.medium,
              buttonType: ButtonType.custom,
              btnText: "Save",
              btnColor: AppColors.errorWarning,
              btnTextColor: Colors.white,
              elevation: 10,
            ),
          ),
        ],
      ),
    );
  }
}
